object = {}
objects = {}
collision = {}

window_width = love.graphics.getWidth()
window_height = love.graphics.getHeight()
love.graphics.setDefaultFilter("nearest", "nearest")

sansFont = love.graphics.newFont("Fonts/comicsans.ttf", 90)

object.new = function(self, x, y, width, height, rot, draw_mode)
	local obj = {}
	obj.x = x
	obj.y = y
	obj.w = width
	obj.h = height
	obj.draw_mode = draw_mode
	obj.rot = rot

	obj.translate = function(self, x, y)
		self.x = self.x + x
		self.y = self.y + y
	end

	if (obj.draw_mode == "Text") then
		table.insert(uiText, obj)
	end
	table.insert(objects, obj)

	return obj

end

function collision:checkAABB(x, x2, ox, ox2)
	if (x > ox and x < ox2) then
		return true
	end

	if (x2 > ox and x2 < ox2) then
		return true
	end

	return false
end

function round(num)
	return math.floor(num + 0.5)
end

function clamp(num, min, max)
	local newNum = num

	if (num < min) then
		newNum = min
	end

	if (num > max) then
		newNum = max
	end

	return newNum
end

function sign(num)
	local sign = 0
	if (num > 0) then
		sign = 1
	end

	if (num < 0) then
		sign = -1
	end

	return sign
end