Player = {}

function Player:collisions()
	local xMeet = false
	local yMeet = false
	for _, o in pairs(objects) do
		if (o ~= player) then
			xMeet = collision:checkAABB(player.x + player.hsp, player.x + player.w + player.hsp, o.x, o.x + o.w)
			yMeet = collision:checkAABB(player.y + player.vsp, player.y + player.h + player.vsp, o.y, o.y + o.h)

			if (xMeet and yMeet) then
				xMeet, yMeet = false, false

				while (true) do
					xMeet = collision:checkAABB(player.x + sign(player.hsp), player.x + player.w + sign(player.hsp), o.x, o.x + o.w)
					if (xMeet == false) then
						player.x = player.x + sign(player.hsp)
					else
						player.hsp = 0
						break;
					end
				end

				while (true) do
					yMeet = collision:checkAABB(player.y + sign(player.vsp), player.y + player.h + sign(player.vsp), o.y, o.y + o.h)
					if (yMeet == false) then
						player.y = player.y + sign(player.vsp)
					else
						player.vsp = 0
						break;
					end
				end
			end
		end
	end
end

function Player:update()
	if (player ~= nil) then
		--Player Input
		local dt = love.timer.getDelta()

		player.hsp = 0
		player.vsp = 0
		if love.keyboard.isDown("left") then
			player.hsp = player.hsp - 1
		end

		if love.keyboard.isDown("right") then
			player.hsp = player.hsp + 1
		end

		if love.keyboard.isDown("up") then
			player.vsp = player.vsp - 1
		end

		if love.keyboard.isDown("down") then
			player.vsp = player.vsp + 1
		end

		player.hsp = round((player.hsp * dt * player.spd))
		player.vsp = round((player.vsp * dt * player.spd))

		Player:collisions()

		player.x = player.x + player.hsp
		player.y = player.y + player.vsp
	end
end

return Player